# -*- coding: utf-8 -*-
import scrapy
from crawler_home.items import *


class HomeSpiderSpider(scrapy.Spider):
    name = 'home_spider'
    allowed_domains = ['58.com']
    # start_urls = ['http://guangyuan.58.com/']

    start_url = "https://guangyuan.58.com/ershoufang/"
    headers = {
        "User-Agent": "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36"
    }

    def start_requests(self):
        return [scrapy.Request(self.start_url, callback=self.parse, meta={"cookiejar": 1},headers=self.headers)]

    def parse(self, response):
        item = CrawlerHomeItem()
        item["title"] = response.xpath("//h2[@class='title']/a/text()").extract()
        item["addr"] = response.xpath("//p[@class='baseinfo']/span/a/text()").extract()
        item["price"] = response.xpath("//div[@class='price']/p[@class='unit']/text()").extract()
        item["size"] = response.xpath("//p[@class='baseinfo']/span").extract()
        yield item
        for i in range(2,71):
            url_redirect = r'https://guangyuan.58.com/ershoufang/pn%s/?PGTID=0d30000c-0261-56a9-4b14-ed8eeaf03e93&ClickID=1' % i
            yield scrapy.Request(url_redirect, callback=self.parse)
